Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# ACE_WIN32_Asynch_Timer Class Reference

This class is posted to the completion port when a timer expires. When the complete method of this object is called, the <handler>'s handle_timeout method will be called. More...

`#include <WIN32_Proactor.h>`

Inheritance diagram for ACE_WIN32_Asynch_Timer:

[legend]
Collaboration diagram for ACE_WIN32_Asynch_Timer:

[legend]
List of all members.

## Protected Methods
| ACE_WIN32_Asynch_Timer (ACE_Handler &handler, const void *act, const ACE_Time_Value &tv, ACE_HANDLE event=ACE_INVALID_HANDLE, int priority=0, int signal_number=0)
| Constructor. More...
virtual void | complete (size_t bytes_transferred, int success, const void *completion_key, u_long error=0)
| This method calls the <handler>'s handle_timeout method. More...
## Protected Attributes
ACE_Time_Value | time_
| Time value requested by caller. More...
## Friends
class | ACE_WIN32_Proactor
| The factory method for this class is with the POSIX_Proactor class. More...

## Detailed Description

This class is posted to the completion port when a timer expires. When the complete method of this object is called, the <handler>'s handle_timeout method will be called.

## Constructor & Destructor Documentation

ACE_WIN32_Asynch_Timer::ACE_WIN32_Asynch_Timer | ( | ACE_Handler & | handler,
|  | const void * | act,
|  | const ACE_Time_Value & | tv,
|  | ACE_HANDLE | event = ACE_INVALID_HANDLE,
|  | int | priority = 0,
|  | int | signal_number = 0
| ) | `[protected]`

| Constructor.

## Member Function Documentation

void ACE_WIN32_Asynch_Timer::complete | ( | size_t | bytes_transferred,
|  | int | success,
|  | const void * | completion_key,
|  | u_long | error = 0
| ) | `[protected, virtual]`

| This method calls the <handler>'s handle_timeout method. Reimplemented from ACE_Asynch_Result_Impl.

## Friends And Related Function Documentation

friend class ACE_WIN32_Proactor`[friend]`

| The factory method for this class is with the POSIX_Proactor class. Reimplemented from ACE_WIN32_Asynch_Result.

## Member Data Documentation

ACE_Time_Value ACE_WIN32_Asynch_Timer::time_`[protected]`

| Time value requested by caller.

The documentation for this class was generated from the following files:

- WIN32_Proactor.h
- WIN32_Proactor.cpp